body {
    background-color: #535185;
    font-family: Verdana, Sans-Serif;
}

.main-head {
    grid-area: header;
    height: 180px;
    border-radius: 12px;
    background-image:  url("/img/headerImg.png"), linear-gradient(#fffe0a, #c48a17);
    background-size:     contain;
    background-repeat:   no-repeat;
    background-position: center center;
}

.header-tc {
    background-image: url("/img/headerImgTC.png"), linear-gradient(#fffe0a, #c48a17);
}

.content {
    grid-area: content;
    background-color: #b5b5cd;
    padding: 30px;
    border-radius: 12px;
    min-height: 390px;
}

.side {
    grid-area: sidebar;
    background-color: #535185;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
}

.main-footer {
    grid-area: footer;
    background-color: #535185;
    text-align: center;
}

.wrapper {
    display: grid;
    gap: 20px;
    grid-template-areas:
    "header"
    "content"
    "sidebar"
    "footer";
}

.div-home-wrapper-inner {
    display: grid;
    gap: 20px;
    grid-template-columns: 1fr;
    grid-template-areas:
    "main"
    "blog"
    "dailyphoto"
    "shelly"
    "after";
}

.div-home-main-mess {
    grid-area: main;
}

.div-home-latestblog {
    grid-area: blog;
}

.div-home-dailyphoto, .div-mirror {
    grid-area: dailyphoto;
    padding: 20px;
    background-color: #d0d28c;
    border: 1px solid black;
    border-radius: 12px;
}

.div-home-after {
    grid-area: after;
    margin-top: 50px;
    border-top: 1px solid #6a6a6a;
}

.div-mirror {
    margin-top: 77px;
}

.div-home-dailyphoto .div-dp-message {
    margin-top: 2em;
}

.content .div-home-dailyphoto img {
    display: block;
    margin: auto;
    padding: 20px;
    max-width: 80%;
    max-height: 500px;
}

.div-home-tweets {
    display:none;
}

.menu {
    font-weight: bold;
    color: #fff;
    text-align: center;
    padding-top: 35px;
}

.menu ul {
    list-style-type: none;
}

.menu ul li {
    display: inline;
    white-space: nowrap;
}

.menu ul li a {
    color: #ffffff;
    text-decoration: none;
}

.menu .fullScreenMenu {
    display:none;
}

.mobileMenu {
    display: flex;
    flex-wrap: wrap;
    gap: 10px 2em;
    padding: 10px;
    font-weight: 500;
    text-decoration: underline;
    justify-content: space-between;
}

.mobileSitemap ul {
    list-style-type: none;
    padding-left: 0;
}

.mobileSitemap .span-collapser {
    display: none;
}

.mobileSitemap .ul-collapser-hidden {
    display: block;
    margin-left: 4em;
}

.mobileSitemap .menu-collapser > a {
    font-weight: bold;
    margin-bottom: 20px;
    display: block;
    text-decoration: none;
}

.mobileSitemap .mobileMenu {
    display: none;
}

h1 {
    font-size: 150%;
    color: #000;
    font-weight: bold;
}

h3, .datestamp {
    color:#4C4C4C;
    font-size:85%;
    font-weight: bold;
    margin-top: 5px;
}

h4 { 
    font-size: 100%; 
    color: #000;
    font-weight: bold;
}

h2 {
    font-size: 120%;
    font-weight: bold;
    color:#4C4C4C;
}

h2 > a {
    text-decoration: none;
}

.embed-featured {
    display: inline-block;
    margin-left: 40px;
    margin-top: 50px;
    margin-bottom: 40px;
}

.embed-featured iframe {
    max-width: 100%;
}

.content p.p-indented {
    margin:  0.25em 0 0 2em;
    margin-block: 0 0;
    line-height: 1.75;
}

.content > h3 {margin-bottom: 60px;}

a { color: #9E2606; }
.lv_title_caption a, .lv_title_caption a:hover {
    color: #9E2606;
    background-color: #DDD;
}

.top-nav-links {
    display: flex;
    justify-content: space-between;
    margin-bottom:50px;
}

.top-nav-links div.link-arrow {
    flex: 2 1 0px;
    display: flex;
}

.top-nav-links div.link-middle {
    flex: 1 1 0px;
    justify-content: center;
}

.top-nav-links div.link-arrow-right {
    justify-content: right;
}

.top-nav-links .div-left-ticks, .top-nav-links .div-right-ticks {
    display:inline-block;
    height: 100%;
}

.top-nav-links .div-left-text {
    display: inline-block;
    margin-left: 9px;
    flex: 1 1 0px;
}

.top-nav-links .div-right-text {
    display: inline-block;
    margin-right: 9px;
    flex: 1 1 0px;
    text-align: right;
}

.content img {margin: 10px;}
.content .padded-line {margin-bottom: 1.25em; }

.content .list-of-links {
    margin-left: 1.5em;
    line-height: 1.8em;
}

.content .list-of-links a {
    text-decoration: none;
}

.content p {line-height: 1.33; margin-block-end: 2em;}
.spanEndPreview { display:none;}

.content ul li, .content ol li {
    margin-bottom: 1.5em;
}

a.centered, a.centered img {
    display:block;
    margin-left:auto;
    margin-right:auto;
}



ol.quotefile p {
    margin-left:5em;
    margin-top: 2em;
}

ol.quotefile li {
    margin-bottom: 3em;
}

.footer-text {
    border-radius: 12px;
    background-color: #a6a6c2;
    display: inline-block;
    padding: 12px;
    font-size: 75%;
}

.divPostShort {
    border-radius: 12px;
    background-color: #a6a6a6;
    padding: 14px;
    margin-bottom: 14px;
    border: 2px solid #000;
}

.divPostFlexbox {
    display: flex;
    justify-content: space-between;
}

.divPostStuff {
    flex: 5 0 auto;
    flex-wrap: wrap;
    width: 60%;
    padding-right: 1em;
}

.divPostThumbnail {
    flex: 2 2 auto;
}

.divPostThumbnail img {
    max-width: 100%;
    max-height: 240px;
    float: right;
}

.divPostEndLink {
    display: block;
    width: 100%;
    padding-top: 8px;
}

.divPostShort h1 {
    margin-bottom: 0;
}

.divPostShort h1 a {
    color: #000;
    text-decoration: none;
}

.divPostShort .top-nav-links {
    margin-bottom: 0;
}

a.lightview {
    text-decoration:none;
    margin-bottom: 60px;
}

a.lightview.alignright {
    max-width: 350px;
    width: fit-content;
    padding-left: 12px;
}

a.lightview img {
    max-width:100%;
}

a.alignright img {

}

a.lightview.centered img {
    max-width: min(100%, 850px, auto);
    height: auto; 
}

a.lightview.centered span.caption {
    display: block;
    width: 100%;
    text-align: center;
}

.alignright {
    display: inline-block;
    float: right;
    margin-left: 25px;
    margin-bottom: 20px;
    clear: right;
}

.alignleft {
    display: inline-block;
    float: left;
    margin-right: 25px;
    margin-bottom: 20px;
    clear: left;
}
.caption, a .caption {
    font-weight: bold;
    color:#4C4C4C;
    font-size:80%;
    display: inline-block;
    word-break: break-word;
}

.caption:not(.pg-instruction-box) {
	min-width: 100;
}

blockquote {
    border-left:4px solid #4c4c4c;
    padding-left: 2em;
    line-height: 1.75;
    font-size: 90%;
    clear: top;
}

div.twitter-tweet {
    display:flex;
    justify-content: center;
}

.mt-timeline article {
    max-width: 280px;
    overflow-x: auto;
    border: 4px solid green !important;
}

.mt-timeline {
    height: auto;
    overflow-y: auto;
    position: relative;
    background: var(--bg-color);
    scrollbar-color: var(--bg-hover-color) rgba(0, 0, 0, 0.1);
    border: 2px solid black;
    border-radius: 8px;
    background-color: #d0d28c;
    max-height: 1300px;
    padding-right: 14px; /* to accomodate scrollbar */
}

.mt-body {
    padding: 0;
    white-space: pre-wrap;
    word-wrap: break-word;
}

.mt-timeline h1 {
    font-size: 100%;
    margin-left: 1em;
    padding: 0;
}

.mt-user > a, .toot-text {
    color: #000;
}

.mt-toot {
    margin: 0.25rem;
    padding: 1rem 0.5rem 0.5rem 4rem;
    position: relative;
    min-height: 3.75rem;
    background-color: transparent;
    border-bottom: 2px solid #a6a6a6;
    font-size: 100%;
}


.mt-footer {
    margin: 0.5rem auto 0.25rem auto;
    padding: 20px;
    text-align: center;
    font-size: 80%;
    border-top: 2px solid #a6a6a6;
}

.mt-footer a.btn, .mt-toot a {
    color: #9E2606;
}

.div-image-gallery-set {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    column-gap: 80px;
    row-gap: 40px;
}

.div-image-gallery-link {
    /*text-align: center;*/
    display: inline-block;
}

.div-image-gallery-link h3 {
    text-align: center;
}

.img-gal-link {
    width: 350px;
}

div.divH4Sub {
    display: grid;
    grid-template-columns: 1fr 1fr;
    margin-top: 12px;
}

div.divH4Sub h4 {
    margin-bottom: 0;
}

div.divH4Sub h4 a {
    text-decoration: none;
}

div.divH4Sub div {
    display: inline-block;
    vertical-align: top;
    padding: 0 2em;
}

div.divH4Sub div img {
    max-height: 40px;
}

div.divH4Sub div iframe {
    width:100%;
    aspect-ratio: 16/9;
    
}

iframe { 
    max-width:100%; 
    display: block;
    margin: 30px auto;
}

.grid-span-2 {
    grid-column: span 2;
}

.padtop, div.divH4Sub .padtop {
    padding-top: 25px;
}

div.vid-gal-top-text {
    margin-bottom: 45px;
}

div.vid-gal-line-item {
    display: flex;
    justify-content: space-between;
    border-radius: 12px;
    background-color: #a6a6a6;
    padding: 14px;
    margin-bottom: 14px;
    border: 2px solid #000;
}

div.vid-gal-line-item div.vid-gal-stuff {
    flex: 5 0 auto;
    flex-wrap: wrap;
    width: 60%;
}

div.vid-gal-line-item div.vid-gal-thumbnail {
    flex: 2 2 auto;
}

div.vid-gal-thumbnail img {
    max-width: 100%;
}

div.micro-post-container {
    max-width: 290px;
    display: grid;
    grid-template-columns: 38px auto;
    font-size: 80%;
    border-bottom: 2px solid #999;
    position: relative;
    margin-bottom: 20px;
    padding-bottom: 20px;
    padding-left: 15px;
    padding-right: 15px;
    overflow: hidden;
    margin: auto;
}

div.micro-post-parent-container, div.clear-both {
    clear: both;
}

.h2-micro-post-header {
    text-align: center;
    margin-top: 30px;
}

div.micro-post-icon-top {
    position: absolute;
    top: 0;
}

div.micro-post-icon-bottom {
    position: absolute;
    bottom: 0;
}

div.micro-post-icons div img {
    width: 30px;
    height: auto;
    margin-left: 0;
}


div.micro-post-media img {
    max-width: 250px;
    height: auto;
}

.inline-list-of-links {
    display: inline-block;
}

.inline-list-of-links > a {
    margin-right: 1.5em;
}

ul.compact {
    margin-top: 0;
    list-style-type: none;
}

ul.compact li {
    margin: 5px;
}

ul.compact li a {
    text-decoration: none;
}


table {
    margin: 30px;
    border-collapse: collapse;
}

table td {
    padding: 1em;
    border: 2px solid #444;
}

table th {
    background-color: #d0d28c;
    border: 2px solid #444;
    padding: 1em;
    text-align: left;
    color: #4c4c4c;
}

.pg-instruction-box {
    background-color:#CDCDCD;
    border:2px solid #AD7070;
    padding:12px;
    margin-bottom: 50px;
    margin-left: 12px;
    float: right;
}

.pg-grid {
    display: flex;
    flex-wrap: wrap;
    text-align: center;
    justify-content: space-evenly;
}

.pg-grid div {
    max-width: 290px;
}
 
.pg-grid img {
    width: 275px;
}

.pg-thb-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-start;
    width: 100%;
}

.lv_window_dark .lv_slider_number_active, .lv_window_dark .lv_slider_number_active:hover {
    background-color: #5d5d5d;
    color: pink;
}


.bigtable {
    margin: 0 auto;
    display: none;
}

.bigtable td {
    text-align:center;
    font-weight: bold;
    padding: 6px;
}

table.littletable {
    border-spacing: 4px 3px;
    margin:6px;
    border:none;
    border-collapse: separate;
}

table.littletable td {
    padding: 2px 4px;
    text-align:center;
    font-weight:normal;
    border:none;

}

table.littletable .cell-with-link {
    background-color: #DDDDDD;
}

table.littletable .cell-with-link a {
    color: #9e2606;
}

table.littletable .cell-selected {
    background-color: #9e2606;
}

table.littletable .cell-selected a {
    color: #dddddd;
}

table.littletable .cell-dayofweek-heading {
    font-weight: bold;
}


.dailyphoto-little-cal {
    display: table;
    margin: 0 auto;
    max-width:260px;
    font-weight: bold;
    text-align: center;
}

.dailyphoto-little-cal .top-nav-links {
    font-weight:normal;
}

.dailyphoto-little-cal-inner-box {
    border: 2px solid #444; 
    padding: 10px 6px;
}

.dailyphototop {
    display: grid;
    grid-template: 2fr/1fr;
    margin-bottom:40px;
}

.dailyphototop .dailyphotoimage {
    justify-self: center;
    max-width:100%;
}

.dailyphototop .dailyphotocaption {
    text-align: left;
    justify-self: center;
}

.dailyphoto-otheryears {
    margin-top: 40px;
}

.dailyphotoDivOtherYear {
    display: inline-block;
    margin-right: 12px;
    margin-top: 8px;
}


    



.haiku-single-entry {
    padding-bottom: 40px;
}

.haiku-single-entry a {
    text-decoration: none;
}
.haiku-single-entry a h1 {
    color: #000;
    margin: 0;
}


#tsob-fullpage-iframe {
    width: 100%; aspect-ratio:16/9;
}

img.greenline {
    display: block;
    margin:auto;
}

.book {
    margin-top: 20px;
    margin-right: 12px;
    border: 1px solid black;
    display: inline-block;
    border-radius: 8px;
    padding: 15px;
    width: 275px;
}

.book-title {
    font-style: italic;
}

.book div {
    margin-bottom: 1em;
}

.books-div-flex {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: stretch;
}


@media (min-width: 650px) {
    .wrapper {
        grid-template-columns: 2fr 7fr;
        grid-template-areas:
        "sidebar  header"
        "sidebar content"
        "deadzone  footer";
    }
    
    .div-home-wrapper-inner {
        display: grid;
        gap: 20px;
        grid-template-columns: 1fr 2fr;
        grid-template-areas:
        "main main"
        "tweets blog"
        "tweets dailyphoto"
        "shelly shelly"
        "after after";
    }
    
/*    .div-home-big-trip {*/
/*        grid-area: trip*/
/*        */
/*    }*/
    
    .div-home-tweets {
        display:block;
        grid-area: tweets;
        max-width: 400px;
    }
    
    .div-home-tweets iframe {
        margin-left: 0;
    }
    
    .div-home-shelly {
        grid-area: shelly;
        display: flex;
        align-items: end;
    }
    
    .div-adop-wrapper-inner {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-areas:
        "main main"
        "blog blog"
        "dailyphoto dailyphoto";
        gap: 20px;
    }
    
    .div-adop-wrapper-inner {
        grid-template-columns: 1fr 1fr;
        grid-template-areas:
        "vanya kolya"
        "bottomstuff bottomstuff";
        gap: 0;
    }
    
    .div-adop-v {
        border-right: 4px solid #8c8c8c;
        grid-area: vanya;
        padding-right: 15px;
    }
    
    .div-adop-k {
        grid-area: kolya;
        padding-left: 25px;
    }
    
    .div-adop-bottomstuff {
        grid-area: bottomstuff;
        margin-top:40px;
    }
    
    
    .topleft {
        height: 180px;
        background-image: url("/img/BenPurpleGold.JPG");
        background-repeat: no-repeat;
        background-position: center center;
    }
    
    .topleft-tc {
        background-image: url("/img/tyler-corner.jpg");
    }

    .menu {
        display: block;
        text-align: right
    }

    .menu ul li {
        display: block;
        margin-bottom: 1em;
    }
    
    .menu-collapser .li-pagelink {
        margin-bottom: 0.4em;
        margin-right: 1.3em;
        font-weight: 500;
    }
    
    .menu-collapser .ul-collapser-hidden {
        display: none;
        margin-top: 8px;
        margin-bottom: 24px;
    }
    
    .menu-collapser .li-pagelink:last-child {
        margin-bottom: 1.3em;
    }
    
    .menu ul li.todo a, .menu ul li.todo {
        color: pink;
    }
    
    
    .menu .fullScreenMenu {
        display: block;
        padding-left: 0;
    }
    
    .menu .mobileMenu {
        display: none;
    }
    
    .content, .main-head {
        margin-right: 20px;
    }
    
    .content {
        min-height: 600px;
    }
    
    .iframe-smaller {
        width: 60%;
        aspect-ratio: 16/9;
        margin: 0 auto 30px auto;
    }
    
}

@media (min-width: 650px) and (max-width: 810px) {
    .menu {
        font-size:75%;
        padding-left: 0;
    }
    
    .div-home-wrapper-inner {
        display: grid;
        gap: 20px;
        grid-template-columns: 1fr 2fr;
        grid-template-areas:
        "main"
        "blog"
        "dailyphoto"
        "tweets"
        "shelly"
        "after";
    }
        
}

@media (min-width: 1055px) {

    .dailyphoto-little-cal {
        display: none;
    }

    .bigtable {
        display: table;
    }

}
